Skip to main content
GET
/
v1
/
feed
Cross-domain activity feed
curl --request GET \
  --url https://api.rewind.rest/v1/feed \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 2491,
      "domain": "watching",
      "event_type": "movie_watched",
      "occurred_at": "2026-03-18T20:11:30.741Z",
      "title": "Watched Ferris Bueller's Day Off (1986)",
      "subtitle": null,
      "image_key": null,
      "source_id": "plex:webhook:27504-2026-03-18",
      "metadata": null,
      "created_at": "2026-03-18T20:11:30.762Z"
    }
  ],
  "pagination": {
    "next_cursor": "2491",
    "has_more": true,
    "limit": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Query Parameters

cursor
string

Cursor for pagination (feed item ID)

Example:

"42"

limit
string

Number of items per page (1-100, default 50)

Example:

"50"

date
string

Single day (YYYY-MM-DD). Overrides from/to.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2025-02-17"

from
string

Range start, inclusive (ISO 8601)

Example:

"2025-02-01T00:00:00Z"

to
string

Range end, inclusive (ISO 8601)

Example:

"2025-02-28T23:59:59Z"

Response

Activity feed items with cursor pagination

data
object[]
required
pagination
object
required